Stephen Baldwin

Nov 19

Fuel UX and Rails Asset Pipeline

We’re all familiar with Twitter’s open-source project “bootstrap” by now… and if you’re a rails developer you’re familiar with the gem ‘twitter-bootstrap-rails’.

One of this month’s trending repos on Github is a cool little extension to the bootstrap library called “Fuel UX”, built by the company ExactTarget. You can learn more about Fuel UX through their Github Page, where you can also find a few demos.

I couldn’t find a gem that integrated Fuel UX into the rails asset pipeline, so I threw one together real quickly. You can find it at https://rubygems.org/gems/fuelux-rails or browse the source at https://github.com/stephenbaldwin/fuelux-rails (though I can promise you there is absolutely nothing worth browsing through in it). It includes the bootstrap library by requiring https://github.com/seyhunak/twitter-bootstrap-rails, so I would suggest setting twitter-bootstrap-rails up before installing fuelux-rails… I did throw together a quick installation Wiki on the Github page, but I doubt you’ll need it.

Mar 16

[video]

Jan 28

Blogging

Awhile back, I posted the link to my last post on blog.startika.com, and “Elegant Rose of London” commented in response:

Thanks for some other informative site. Where else may I get that type of information written in such an ideal means? I’ve a challenge that I am simply now working on, and I have been at the glance out for such info.

In response, to your response (and the others who reblogged it): I will start posting white papers and such on here, as well as on independent.academia.edu/stephenbaldwin (as often as my work will possibly allow)

Apr 04

Mac OSX 10.7 Lion and Ruby 1.9.2 +

It seems a few people out there are complaining of a ‘make’ error being raised while trying to install/compile Ruby 1.9.2 and above on the developer preview of 10.7 Lion.

The solution is below:

  1. First, make sure you’ve installed XCode 4.1 DP 2 (you can download it through Apple if you are enrolled in their developer program)
  2. Next, add the following to your ~/.bash_profile with your favorite editor:
    export CC=/Developer/usr/bin/clang
    export CFLAGS=-Qunused-arguments
    export CPPFLAGS=-Qunused-arguments
    export PATH=/Developer/usr/bin:$PATH
  3. Finally, run:
    $ rvm install 1.9.2 --reconfigure --debug -C --enable-pthread

Mar 02

“If they ever tell my story, let them say I walked with giants” — Odysseus